MyImage=imread('molen','jpg');
MyImage=MyImage(:,:,1);
MyImage=flipdim(MyImage,1);
Image=double(MyImage);

mesh(255-Image), axis('equal'), shading flat, colormap('gray')
colormap('copper')

[nx,ny]=size(Image)
N=nx*ny

clear x
tic
x=[];
for j=1:ny
  x=[x;Image(:,j)];
end
toc

clear x
tic
x=zeros(N,1); i=1:nx;
for j=1:ny
  x(i+(j-1)*nx)=Image(:,j);
end
toc

clear x
tic
x=zeros(N,1); i=1:nx;
for j=1:ny
  for i=1:nx
     x(i+(j-1)*nx)=Image(i,j);
  end
end
toc


clear x
tic
x=reshape(Image,N,1);
toc
